## org.biojava.utils
Class ListTools.Triplet

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList
              org.biojava.utils.ListTools.Triplet

All Implemented Interfaces:
  Serializable, Iterable, Collection, List

Enclosing class:
  ListTools

    public static class ListTools.Triplet

extends AbstractList
implements Serializable

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`ListTools.Triplet()`
`ListTools.Triplet(Object a, Object b, Object c)`

Method Summary
`boolean` `equals(Object o)`
`Object` `get(int indx)`
`Object` `getA()`
`Object` `getB()`
`Object` `getC()`
`Iterator` `getIterator()`
`int` `hashCode()`
`void` `set(Object a, Object b, Object c)`
`void` `setA(Object a)`
`void` `setB(Object b)`
`void` `setC(Object c)`
`int` `size()`

Methods inherited from class java.util.AbstractList
`add, add, addAll, clear, indexOf, iterator, lastIndexOf, listIterator, listIterator, remove, removeRange, set, subList`

Methods inherited from class java.util.AbstractCollection
`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray`

Constructor Detail

### ListTools.Triplet

    public ListTools.Triplet()

### ListTools.Triplet

    public ListTools.Triplet(Object a,
                             Object b,
                             Object c)

Method Detail

### set

    public void set(Object a,
                    Object b,
                    Object c)

### setA

    public void setA(Object a)

### setB

    public void setB(Object b)

### setC

    public void setC(Object c)

### getA

    public Object getA()

### getB

    public Object getB()

### getC

    public Object getC()

### size

    public int size()

  Specified by:
    `size` in interface `Collection`
  Specified by:
    `size` in interface `List`
  Specified by:
    `size` in class `AbstractCollection`

### get

    public Object get(int indx)

  Specified by:
    `get` in interface `List`
  Specified by:
    `get` in class `AbstractList`

### getIterator

    public Iterator getIterator()

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Collection`
  Specified by:
    `hashCode` in interface `List`
  Overrides:
    `hashCode` in class `AbstractList`

### equals

    public boolean equals(Object o)

  Specified by:
    `equals` in interface `Collection`
  Specified by:
    `equals` in interface `List`
  Overrides:
    `equals` in class `AbstractList`